Bug 716351 - gedit spellcheck first mespelled word not highlighted
gedit spellcheck first mespelled word not highlighted
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
20
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-24 01:32 EDT by collura
Modified: 2016-05-23 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:36:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description collura 2011-06-24 01:32:57 EDT
Description of problem:

   the first misspelled word identified by a spellcheck doesnt get highlighted

Version-Release number of selected component (if applicable):

   gedit-3.0.5-1.f15 (x86_64)

How reproducible:

   always

Steps to Reproduce:
1. compose document with some mispelt werts in it.
2. run spellcheck
3. notice that the first misspelled word is NOT highlighted
4. ignore/replace the first misspelled word
5. notice that the second misspelled word IS highlighted
  
Actual results:

   first word that the spellchecker thinks is misspelled 
   doesnt get highlighted in the text even though the second one will be

Expected results:

   first word that the spellchecker thinks is misspelled should be highlighted

Additional info:

   the highlighting of first misspelled word seems 
   to work when have a multiple documents open 
   but not when have just a single document open

   the misspell-underline-squiggles DO show under the first misspelled word
Comment 1 collura 2011-11-03 00:47:59 EDT
still there in fc16-gnome-rc2 :

  gedit-2:3.2.1-1.fc16 (64bit)
  gedit-plugins-3.2.0-1.fc16 (64bit)

first mispelled word is underlined as type 
but is not highlighted during a spellcheck.
Comment 2 collura 2012-01-07 01:53:50 EST
still there in fc16-gnome release as of:

   gedit-2:3.2.6-1.fc16.x86_64
Comment 3 collura 2012-05-27 04:51:16 EDT
still there in fc17-gnome release as of:

   gedit-2:3.4.2-1.fc17.x86_64
Comment 4 collura 2012-10-08 16:51:44 EDT
still there in fc18-gnome-alpha release as of:

   gedit-3.5.1-1.fc18.x86_64

so changing version to fc18
Comment 5 collura 2013-07-05 01:10:39 EDT
still there in fc19-gnome as of:

   gedit-2:3.8.3-1.fc19.x86_64

so changing to fc19
Comment 6 collura 2014-02-08 03:15:20 EST
still there in fc20-gnome as of:

   gedit-2:3.10.3-1.fc20.x86_64

so changing to fc20
Comment 7 Fedora End Of Life 2015-05-29 04:39:39 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-06-29 07:36:44 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 collura 2016-05-23 22:49:28 EDT
I lost track of versions for a while so this auto-closed but bug was still around.

It was still there as of 

   gedit-2:3.18.3-1.fc23.x86_64

but it has been FIXED somewhere after that and

is working great in fedora-24-beta as of 

   gedit-2:3.20.2-1.fc24.x86_64


Thanks :')

Note You need to log in before you can comment on or make changes to this bug.